exercise_04_32: exercise_04_32.o | .gitignore
	g++ $^ -o $@ 
exercise_04_32.ii: exercise_04_32.cpp
	g++ -E $^ -o $@
exercise_04_32.s: exercise_04_32.ii
	g++ -S $^ -o $@
exercise_04_32.o: exercise_04_32.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_04_32" > $@
clean:
	rm -rf *.ii *.s *.o exercise_04_32 .gitignore *.out debug
test1: exercise_04_32 
	@./exercise_04_32 < test1.in > test1.outi || echo "Negative case"
	@diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_32.ii exercise_04_32.s
.SECONDARY: exercise_04_32.ii exercise_04_32.s

dbg: debug/exercise_04_32
debug/exercise_04_32: debug/exercise_04_32.o
	g++     -Wall -Wextra -Werror -g3 debug/exercise_04_32.o     -o debug/DecisionMaking
debug/exercise_04_32.o: debug/exercise_04_32.s
	g++ -c -Wall -Wextra -Werror -g3 debug/exercise_04_32.s     -o debug/exercise_04_32.o
debug/exercise_04_32.s: debug/exercise_04_32.ii
	g++ -S -Wall -Wextra -Werror -g3 debug/exercise_04_32.ii     -o debug/exercise_04_32.s
debug/exercise_04_32.ii: exercise_04_32.cpp
	g++ -E -Wall -Wextra -Werror -g3            exercise_04_32.cpp -o debug/exercise_04_32.ii
debug/exercise_04_32.ii: | debug
debug:
	mkdir -p debug

